<bugID>829873<Summary>download opens library and hangs browser</Summary><Description>Created attachment 701402
shows Aurora hanging -

User Agent: Mozilla/5.0 (X11; Linux i686; rv:20.0) Gecko/20130111 Firefox/20.0
Build ID: 20130111042017

Steps to reproduce:

aurora 20,  Tools&gt;Downloads, Ctl+Shift+Y or with menu hidden, Aurora 'button' &gt;Downloads the 'Library' opens and not the Download Manager window.


Actual results:

mozilla (Aurora 20.0a2) Hangs and has to be terminated. Will not 'wake up', i've waited many minutes. I can reproduce this Every time I click 'tab bar' Aurora 'button' &gt; Downloads
Also, I have browser.download.useToolkitUI set to false in about:config.


Expected results:

Download Manager should open NOT the library!
the 'Library' is a Management UI, Not a small, simple 'monitoring' utility.</Description></bugID>